<app-menu></app-menu>

<mat-card *ngIf="results.length != 0">
    <span>Results</span>
    <mat-table [dataSource]='this.results'>

        <ng-container matColumnDef="Name">
            <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
            <mat-cell *matCellDef="let result">{{result.testName}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Description">
            <mat-header-cell *matHeaderCellDef>Description</mat-header-cell>
            <mat-cell *matCellDef="let result">{{result.testDescription}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Correct answers">
            <mat-header-cell *matHeaderCellDef>Correct answers</mat-header-cell>
            <mat-cell *matCellDef="let result">{{result.correctAnswers}}</mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="cTitle"></mat-header-row>
        <mat-row *matRowDef="let row; columns: cTitle;"></mat-row>
    </mat-table>
</mat-card>